<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Forms</title>
</head>
<body>
	<h2 align="center">Welcome to the Forms Page</h2>
	<!-- Semantic Tags - new additions to HTML; some are containers for elements but are definitive of its content without relying on ids/classes unlike divs; strong and em are also semantic tags (used over i and b tags)

		semantic containers such as:
		nav, main, section are preferred bc it aids in better SEO and each tag clearly defines the content to be added  
	-->
	<nav>
		<a href="./index.html">Index Page</a>
		<a href="./table.html">Tables Page</a>
		<a href="../activity/contact.html">Contact Page</a>
	</nav>

	<main>
		<section>
			<h2>HTML Forms</h2>
			<p>HTML Forms are used to gather info or data from our user and send that info to a server.</p>
		</section>
		<section>
			<!-- 
				form - creates a form that is used to gather info to submit to a server
				action - allows us to pass/submit the data to the server of the url that is given 
				label - creates an element that serves as a label or indicatr to the input ; associates a label element to a particular input element; for and id attribute are what connects the label and input tags 
				input - creates input elements, many diff types (text, numbers, dates)
				type attribute in input elems - identifies what info is to be provided to the input; affects behavior of element to be the type of requested behavior 
				name attribute - provides as an identifier for the value of the input element; allows proper identification of the input in the form 
				id attribute - provides a unique identifier for the element, what the label associates with 
				required attribute - checks if input has been filled and will not submit if not 
				autocomplete - provides suggestions for inputs and allows for better user experience 
				buttons are used to interact with pages, type attribute will indicate what the action it will do - button default is submit in a form 
				select - creates drop down menu with choices 
				option - creates the choices/options available for the select tag 
				value attribute was added to provide value or data per option bc options cannt be typed into and receive input 
				input type: radio - creates radio buttons and provide users a single choice of info to pass; radio buttons under the same question need to have the same name attribute to be considered in the same group 
				**when there are more choices - select is more often used that radio
			-->
			<form action="https://google.com">
				<!-- full name -->
				<label for="fname">Full Name:</label>
				<br>
				<input type="text" name="fullname" id="fname" required autocomplete>
				<br>
				<label for="bdate">Birthdate:</label>
				<br>
				<input type="date" name="birthday" id="bdate" required>
				<br>
				<label for="ageInput">Age:</label>
				<br>
				<input type="number" name="age" id="ageInput" min="18" max="40" required>
				<br>
				<label for="genderInput">Gender:</label>
				<br>
				<select name="gender" id="genderInput">
					<option value="male">Male</option>
					<option value="female">Female</option>
					<option value="other">Other</option>
				</select>
				<br>
				<label>New User?</label>
				<br>
				<input type="radio" name="new_user" id="radioUser1" value="yes">
				<label for="radioUser1">Yes</label>
				<br>
				<input type="radio" name="new_user" id="radioUser2" value="no">
				<label for="radioUser2">No</label>
				<br>
				<label>Role:</label>
				<br>
				<input type="checkbox" name="role1" id="roleInput1" value="developer">
				<label for="roleInput1">Developer</label>
				<br>
				<input type="checkbox" name="role2" id="roleInput2" value="student">
				<label for="roleInput2">Student</label>
				<br>
				<input type="checkbox" name="role3" id="roleInput3" value="manager">
				<label for="roleInput3">Manager</label>
				<br>
				<br>
				<button type="submit">Submit</button>
				<button type="reset">Reset</button>
			</form>
		</section>
	</main>
</body>
</html>